package com.trs.ggzyexchange;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@MapperScan("com.trs.ggzyexchange.mapper")
public class GgzyExchangeApplication{
    public static void main(String[] args) {
        SpringApplication.run(GgzyExchangeApplication.class, args);
    }
}

/*

@SpringBootApplication
@MapperScan("com.trs.ggzyexchange.mapper")
public class GgzyExchangeApplication extends SpringBootServletInitializer {
    public static void main(String[] args) {
        SpringApplication.run(GgzyExchangeApplication.class, args);
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(GgzyExchangeApplication.class);
    }
}

* */